Take the 2-minute tour ×
Geographic Information Systems Stack Exchange is a question and answer site for cartographers, geographers and GIS professionals. It's 100% free, no registration required.

I am quite surprised to discover several WFS services (v1.0.0) running on the web which are not compliant with the OGC WFS-1.0.0 standard. In the framework of my project, I use a JAXB binding built with the XSD schemas from the OGC, and notably the schemas for WFS v1.0.0. As you imagine, not OGC-compliant services are a problem in such a project.

The problem of compliance is for example the XML element:

/WFS_Capabilities/ServiceIndentification

which is replaced by:

/WFS_Capabilities/Service

For example in the capabilities: http://www.disasterschartercatalog.org/ogc/cecec4wfs?REQUEST=GetCapabilities&VERSION=1.0.0&SERVICE=WFS

Is anyone know the reasons of this? is it something common?

share|improve this question

1 Answer 1

This following one is correct:

/WFS_Capabilities/Service

as defined by the following portion of the schema definition for version 1.0.0

<xsd:element name="Service" type="wfs:ServiceType"/>

Take a look at 12.3.3 Service section in the Web Feature Service Implementation Specification (OGC 02-058)

share|improve this answer
    
My mistake, sorry, I thought that WFS-1.0.0 and 1.1.0 use OWS-1.0 but actually it is not the case... my mistake, I will delete my question soon. –  njames Jul 28 '12 at 12:42

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.